<template>
  <UserCenter :title="$t('referral')">
    <div :class="`flex relative referral-page-desktop ${isReferral === '/referral/referral' ? 'referral-referral': ''}`">
      <div
        class="referral-page-content flex border-left referral-page-desktop-right w-full"
      >
        <div class="w-full max-w-full">
          <div class="w-full overflow-hidden h-full">
            <div>
              <el-tabs v-model="activeName" class="demo-tabs">
                <el-tab-pane name="referral-referral">
                  <template #label>
                    <nuxt-link to="/referral/referral" class="py-4">{{
                      $t("referral")
                    }}</nuxt-link>
                  </template>
                </el-tab-pane>
                <el-tab-pane name="referral-history">
                  <template #label>
                    <nuxt-link to="/referral/history" class="py-4">
                      {{ $t("reward") }}
                    </nuxt-link>
                  </template>
                </el-tab-pane>
                <el-tab-pane name="referral-diagram">
                  <template #label>
                    <nuxt-link to="/referral/diagram" class="py-4">{{
                      $t("diagram")
                    }}</nuxt-link>
                  </template>
                </el-tab-pane>
              </el-tabs>
            </div>
            <el-scrollbar class="ml-4 mb-1">
              <div class="w-full">
                <nuxt-page />
              </div>
            </el-scrollbar>
          </div>
        </div>
      </div>
    </div>
  </UserCenter>
</template>

<script setup lang="ts">
import QrcodeVue from "qrcode.vue";
import UserCenter from "@/components/theme/desktop/peru/components/user-center-layout.client.vue";

definePageMeta({
  redirect: "/referral/referral",
});

const { activeName } = useReferralTab();
const { referralLink, onCopyTextToClipBoard, onCopyQRCode } =
  useReferral();
const { getAssetImage } = commonHelper;
const mediaScreen = window.innerWidth;
const route = useRoute();
const isReferral = computed(() => route.path);
</script>

<style lang="scss">
.referral-page-desktop {
  .referral-history {
    .el-table {
      padding-bottom: 0px !important;
    }
    .el-table__body-wrapper {
      max-height: 700px;
      overflow: auto;
    }
  }
  @media screen and (max-width: 639px) {
    padding: 0;
    .referral-page-content {
      width: 100%;
    }
    .referral-page-desktop-left {
      display: none;
    }
    .el-scrollbar.ml-4.mb-1 {
      margin-left: 0;
      // margin-right: 1rem;
    }
    .demo-tabs {
      .el-tabs__nav-wrap.is-top {
        padding: 0;
      }
      .el-tabs__nav {
        width: 100%;
      }
      .el-tabs__item {
        width: calc(100% / 3);
        padding: 0;
        > a {
          justify-content: center;
          font-size: 12px;
          font-weight: 400;
          line-height: 14.06px;
        }
        .router-link-active {
          font-weight: 700;
        }
      }
    }
  }
}
</style>
